* {
  margin: 0;
  padding: 0;
}

body {
  font-family: "Montserrat", sans-serif;
  background-image: url("img/grafik-desktop.png");
  background-size: contain; /* Får billedet til at fylde hele siden */
  background-repeat: no-repeat; /* Undgår at billedet gentages */
  background-position: center; /* Centrerer billedet */
  background-attachment: fixed; /* (valgfri) gør billedet statisk ved scroll */
  background-color: #fff7ec;
}

/*---------- Navigation----------*/

.topnav {
  display: flex;
  justify-content: flex-end;
}
header a {
  padding: 15px;
  margin-top: 20px;
}
.nav-knap {
  max-height: 20px;
  width: auto;
}

.topnav .icon {
  display: none;
}
.logo {
  position: absolute;
  top: 0;
  left: 0;
  color: whitesmoke;
  padding: 15px;
  margin: 10;
}
.logo img {
  height: 60px;
}
/* Sidemenu til flow-undersider*/
ul {
  list-style: none; /*Fjerne markering*/
  position: fixed; /*Følger med scroll*/
  right: 10px; /*Placerer til højre*/
  top: 200px;
}
ul li {
  margin-bottom: 15px;
  margin-right: 20px;
}

ul li a {
  text-decoration: none;
  font-weight: 800;
  color: #c42c32;
  text-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
}
/* Footer menu til flow-undersider i mobile */
footer {
  display: none;
  position: fixed;
  bottom: 0;
  left: 0;
  width: 100%;
  text-decoration: none;
  font-weight: 800;
  text-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
  background: #fff7ec;

  padding: 15px 0;
  text-align: center;
  z-index: 999; /* så den ligger over alt andet */
}
footer .footer-container a {
  color: #c42c32;
}
.footer-container {
  display: flex;
  justify-content: space-evenly;
}

/*---------- FORSIDE -----------*/

article {
  padding: 15px;
  max-width: 950px;
  margin: 0 auto;
}

.forside-tekst {
  font-weight: 400;
  margin: 0 auto;
  max-width: 80%;
}

/*Foto+Logo - Forside*/
.logo-foto {
  max-width: 80%;
  height: auto;
}
.logo-foto-container {
  display: flex;
  justify-content: flex-end; /* flytter indholdet til højre */
  max-width: 80%;
}

/*Foto til mobile version*/
.foto-app {
  max-width: 60%;
  height: auto;
}
.foto-app-container {
  margin-left: 25%;
  display: none;
}

/*---------- SHOWROOM ----------*/

.show-container {
  display: flex; /* Flexbox til alt indholdet*/
  flex-direction: column; /*Sætter det op i en kollone */
  align-items: center; /* Placerer kollonen i midten*/
  margin-top: 80px; /* Giver luft op til header/navigation*/
}
/*Overskrifter*/
h1 {
  color: #c42c32;
  text-align: center;
  margin-left: auto;
  margin-right: auto;
}
/*Rubrikker/underoverskrifter*/
h3 {
  font-weight: 400; /*Vægtning af rubrik/underoverskrift*/
  color: #c42c32; /* Farve - rubrik/underoverskrift*/
  margin-bottom: 20px; /*Skaber luft ned til foto/video*/
}
/*Links til showroom undersider*/
.se-mere {
  color: black;
  margin-bottom: 150px;
  margin-top: 20px;
  font-weight: 600;
}

/* Generelt layout af individuelle flexbokse til projekterne (Showroom)*/
.flow1,
.flow2,
.flow3,
.flow4,
.andre {
  display: flex;
  flex-direction: column; /* Samler indhold i kollone*/
  align-items: center; /* Centrerer billede/video */
  margin-left: 20%; /* Giver luft i siderne */
  margin-right: 20%; /* Giver luft i siderne */
  margin-top: 25px; /* Giver luft imellem projekterne*/
}

/* Styling af projekt billederne i showroom*/
.projekt-foto {
  width: 100%; /*Fylder 100% af boksen*/
  height: auto; /*Højde følger med bredde*/
}

/*Stylling af projektvideoerne i showroom*/
.projekt-video {
  width: 100%; /*Fylder 100% af boksen*/
  height: auto; /*Højde følger med bredde*/
}
/* Stylling af foto til "andre projekter" i showroom*/
.exp-foto {
  width: 100%;
  height: auto;
  max-width: 400px;
}

/*---------- Flow 1 underside + undersider med "sektion" strukturen ----------*/
.sektion {
  display: flex;
  margin-left: 20%; /* Giver luft i siderne */
  margin-right: 20%; /* Giver luft i siderne */
  margin-top: 25px;
  gap: 5rem;
}
.foto-underside img {
  width: 100%;
  height: auto;
  max-width: 390px;
  min-width: 200px;
}
.link-til-proto {
  color: black;
  margin-top: 25px;
}

/*---------- Flow 2 underside ----------*/
.foto-link img,
.flow2-tekst {
  display: flex;
  margin-left: 20%; /* Giver luft i siderne */
  margin-right: 20%; /* Giver luft i siderne */
  width: 60%;
  margin-top: 25px;
}
.flow2-tekst {
  margin-bottom: 40px;
}
/*---------- Flow 3 underside ----------*/
.flow3-underside-video,
.flow3-intro-tekst {
  display: flex;
  margin-left: 20%; /* Giver luft i siderne */
  margin-right: 20%; /* Giver luft i siderne */
  margin-top: 25px;
  margin-bottom: 25px;
}
.flow3-rubrik {
  margin-left: 20%;
  margin-top: 25px;
}
.sektion-styleguide-flow3 {
  margin-bottom: 40px;
}

/* Link til prototype */
.link-til-siden {
  color: black;
  text-align: center;
  display: block;
  margin: 25px auto 0 auto;
}
.flow3-webshop-video,
.flow3-webshop-tekst {
  display: flex;
  margin-left: 20%; /* Giver luft i siderne */
  margin-right: 20%; /* Giver luft i siderne */
  margin-top: 25px;
}

.projekt-video {
  width: 100%;
  max-width: 800px;
  height: auto;
  margin: 0 auto;
}
.webshop-video {
  width: 100%;
  max-width: 500px;
  height: auto;
  margin: 0 auto;
}
/*Embedded link*/
.sektion-embedded-link {
  display: flex;
  margin-left: 20%; /* Giver luft i siderne */
  margin-right: 20%; /* Giver luft i siderne */
  margin-top: 25px;
  gap: 5rem;
}

.sektion-embedded-link .tekst {
  width: 50%;
}

/* Styleguide*/
.sektion-styleguide-flow3 {
  margin-left: 20%; /* Giver luft i siderne */
  margin-right: 20%; /* Giver luft i siderne */
  margin-top: 25px;
  gap: 5rem;
}
.sektion-styleguide-flow3 img {
  max-width: 100%;
  height: auto;
  margin-top: 25px;
}

/*---------- Flow 4 underside ----------*/
.sektion-flow4 video {
  width: 100%;
  margin: 0 auto;
}

.sektion-flow4 {
  margin-left: 20%; /* Giver luft i siderne */
  margin-right: 20%; /* Giver luft i siderne */
  margin-top: 25px;
  justify-content: center;
}
.flow4-rubrik {
  margin-top: 50px;
}
.introtekst-flow4 {
  margin-bottom: 25px;
}
.link-til-side {
  color: black;
}
.linket {
  display: block;
  width: fit-content;
  margin: 0 auto 40px auto;
  text-decoration: none;
}
.eksempel {
  margin-bottom: 40px;
}
.sektion-flow4 {
  margin-bottom: 40px;
}

/* ---------- Andre Projekter ----------*/

/*Tekst*/
.andre-projekter-tekst {
  /*Bredde på afsnit*/
  max-width: 500px;
  /* Placerer afsnit i midten, med margin i bunden */
  margin: 0 auto 40px auto;
}

/*Fotos*/
.drained,
.skipping,
.blue,
.tradition,
.time,
.ai,
.last {
  width: 30%;
  height: auto;
  margin-bottom: 25px;
}
.drained,
.blue,
.time,
.last {
  margin-left: 20%;
}

.skipping,
.tradition,
.ai {
  margin-left: 50%;
}
/* ----- Dokumentaion ----- */

/*Div*/
.skitser {
  display: flex;
  justify-content: center;
  margin-left: 20%; /* Giver luft i siderne */
  margin-right: 20%; /* Giver luft i siderne */
  margin-top: 25px;
}
.foto-stor {
  display: flex;
  justify-content: center;
  margin-left: 20%; /* Giver luft i siderne */
  margin-right: 20%; /* Giver luft i siderne */
  margin-top: 25px;
}
/*img*/
.skitse-foto {
  width: 100%;
  height: auto;
  max-width: 500px;
  min-width: 0px;
}
.stor-foto {
  width: 100%;
  height: auto;
  max-width: 1000px;
  min-width: 0px;
}
/*----- Kontakt side-----*/
.kontakt-h1 {
  margin-top: 25px;
  margin-bottom: 25px;
}
.kontakt-info {
  margin-left: 20%;
  color: #c42c32;
}
.info-kontakt {
  margin-bottom: 50px;
}

/*----- Grafik -----*/
.grafik {
  display: none;
  position: sticky;
  justify-self: flex-end;
  bottom: 30px;

  width: 100%;
  pointer-events: none;
  filter: opacity(30%);
  z-index: -10;
}

/*---------- Tablet ----------*/
@media (max-width: 1000px) {
  /* Baggrund */
  body {
    background-image: url("img/grafik-tablet.png");
  }

  /*Navigation*/
  .topnav a {
    display: none;
  }
  .topnav .icon {
    display: block;
    font-size: 1em;
  }
  .responsive {
    position: relative;
    padding: 60px 0 40px 0;
    flex-direction: column;
    align-items: center;
  }
  .responsive .icon {
    position: absolute;
    right: 0;
    top: 0;
  }
  .responsive a {
    display: block;
    font-size: 1.2em;
  }

  p {
    max-width: 60%;
    margin: 0 auto;
  }

  .logo {
    z-index: 1;
    height: 50%;
  }
  .logo-foto {
    display: block;
  }
  .foto-app-container {
    display: none;
  }
  /*---------- Flow 1 - Underside ----------*/

  /* Layout af sektioner */
  .sektion {
    display: block;
  }

  /* Stylling af fotos */
  .sektion .foto-underside {
    width: 60%;
    height: auto;
    justify-self: center;
  }

  /* Stylling af tekst */
  .sektion .tekst {
    width: 100%;

    justify-self: center;
  }
  /* Stylling af link */
  .sektion .link-til-proto {
    justify-self: center;
  }

  /* Luft under headeren */

  header {
    margin-bottom: 25px;
  }

  /*---------- Flow 3 - Underside ----------*/

  /* Tekst under video */
  .flow3-intro-tekst {
    justify-content: center;
    width: 100%;
    margin-left: 0;
    margin-right: 0;
  }
  .sektion .tekst-navigation {
    justify-content: center;
    width: 100%;
    margin-left: 0;
    margin-right: 0;
  }

  /* Rubrik */
  .flow3-rubrik {
    margin-left: 20%;
  }
  /* Link til prototype */
  .link-til-siden {
    color: black;
    text-align: center;
    display: block;
    margin: 25px auto 0 auto;
  }
  /* Embedded link sektion */
  .sektion-embedded-link {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1rem;
    width: 100%;
    margin-left: 0;
    margin-right: 0;
  }

  .sektion-embedded-link img {
    width: 100%; /* Fylder containerens bredde */
    max-width: 380px; /* Begrænser hvor stort det kan blive */
    height: auto; /* Bevarer proportioner */
  }
  .sektion-embedded-link .tekst {
    width: 100%;
  }
  /* Styleguide fotos */
  .sektion-styleguide-flow3 {
    margin-left: 0;
    margin-right: 0;
  }

  /*---------- Flow 4 ----------*/
  .sektion-flow4 {
    max-width: 400px;
  }
  .sektion-flow4 video,
  .sektion-flow4 .introtekst-flow4 {
    max-width: 100%;
    margin: 0 auto 25px auto;
    display: block;
  }
  .sektion-flow4 video,
  .eksempel {
    max-width: 400px;
  }
  /*---------- Andre projekter ----------*/
  .drained,
  .skipping,
  .blue,
  .tradition,
  .time,
  .ai,
  .last {
    width: 50%;
    height: auto;
    margin-bottom: 25px;
    justify-self: center;
    margin-left: 25%;
  }

  /*---------- Kontakt side ----------*/
  .kontakt-info {
    display: block;
    justify-self: left;
    margin-right: 15px;
  }
}

/*---------- Dokumentation side ----------*/

/*---------- Mobile ----------*/

@media screen and (max-width: 780px) {
  /* Baggrund */
  body {
    background-image: url(img/grafik-smartphone.png);
  }

  /*---------- Navigation ----------*/
  .topnav a {
    display: none;
  }
  .topnav .icon {
    display: block;
    font-size: 1em;
  }
  .responsive {
    position: relative;
    padding: 60px 0 40px 0;
    flex-direction: column;
    align-items: center;
  }
  .responsive .icon {
    position: absolute;
    right: 0;
    top: 0;
  }
  .responsive a {
    display: block;
    font-size: 1.2em;
  }

  p {
    max-width: 60%;
    margin: 0 auto;
  }

  .logo {
    z-index: 1;
    height: 50%;
  }
  .logo-foto {
    display: none;
  }
  .foto-app-container {
    display: block;
  }

  /* Fjerner sidemenu */
  ul {
    display: none;
  }

  /* Viser footer */
  footer {
    display: block;
  }

  /*---------- Flow 1 - Underside ----------*/

  /* Layout af sektioner */
  .sektion {
    display: block;
  }

  /* Stylling af fotos */
  .sektion .foto-underside {
    width: 60%;
    height: auto;
    justify-self: center;
  }

  /* Stylling af tekst */
  .sektion .tekst {
    width: 100%;

    justify-self: center;
  }
  /* Stylling af link */
  .sektion .link-til-proto {
    justify-self: center;
  }

  /* Luft under headeren */

  header {
    margin-bottom: 25px;
  }

  /*---------- Flow 3 - Underside ----------*/

  /* Tekst under video */
  .flow3-intro-tekst {
    justify-content: center;
    width: 100%;
    margin-left: 0;
    margin-right: 0;
  }
  .sektion .tekst-navigation {
    justify-content: center;
    width: 100%;
    margin-left: 0;
    margin-right: 0;
  }

  /* Rubrik */
  .flow3-rubrik {
    margin-left: 20%;
  }
  /* Link til prototype */
  .link-til-siden {
    color: black;
    text-align: center;
    display: block;
    margin: 25px auto 0 auto;
  }
  /* Embedded link sektion */
  .sektion-embedded-link {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1rem;
    width: 100%;
    margin-left: 0;
    margin-right: 0;
  }

  .sektion-embedded-link img {
    width: 100%; /* Fylder containerens bredde */
    max-width: 380px; /* Begrænser hvor stort det kan blive */
    height: auto; /* Bevarer proportioner */
  }
  .sektion-embedded-link .tekst {
    width: 100%;
  }
  /* Styleguide fotos */
  .sektion-styleguide-flow3 {
    margin-left: 0;
    margin-right: 0;
  }

  /*---------- Flow 4 ----------*/
  .sektion-flow4 {
    margin-left: 10%;
    margin-right: 10%;
  }
  .sektion-flow4 video,
  .sektion-flow4 .introtekst-flow4 {
    max-width: 100%;
    margin: 0 auto 25px auto;
    display: block;
  }

  /*---------- Andre projekter ----------*/
  .drained,
  .skipping,
  .blue,
  .tradition,
  .time,
  .ai,
  .last {
    width: 50%;
    height: auto;
    margin-bottom: 25px;
    justify-self: center;
    margin-left: 25%;
  }

  /*---------- Kontakt side ----------*/
  .kontakt-info {
    display: block;
    justify-self: left;
    margin-right: 15px;
  }

  /*---------- Dokumentation side ----------*/
}
